Bug 583293 - Include dracut-network
Include dracut-network
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-17 13:59 EDT by G. Michael Carter
Modified: 2013-01-10 00:50 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:41:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description G. Michael Carter 2010-04-17 13:59:18 EDT
Description of problem:

I tried to add Fedora 13 Beta to my PXE booting setup so I can try Fedora 13 Beta without creating environmental waste (throw away DVDs)

I setup my entries as usual:

LABEL Fedora 13 Beta - i686
        kernel /images-livecds/F13-Beta-i686-Live-vmlinuz0
        MENU LABEL Fedora 13 Beta - i686
        APPEND initrd=/images-livecds/F13-Beta-i686-Live-initrd0.img root=/dev/nfs/LiveOS/squashfs.img nfsroot=172.29.0.19:/u2/Repositories/live_media/F13-Beta-i686-Live  rootfstype=auto  ro liveimg quiet rhgb rd_NO_LUKS rd_NO_MD noiswmd 

LABEL Fedora 13 Beta - i686 (debug)
        kernel /images-livecds/F13-Beta-i686-Live-vmlinuz0
        MENU LABEL Fedora 13 Beta - i686 (debug)
        APPEND initrd=/images-livecds/F13-Beta-i686-Live-initrd0.img root=/dev/nfs/LiveOS/squashfs.img nfsroot=172.29.0.19:/u2/Repositories/live_media/F13-Beta-i686-Live  rootfstype=auto  ro liveimg vga=0x317 rdshell rd_NO_LUKS rd_NO_MD noiswmd 

but it fails to find the root device.  After further investigation I noticed dracut isn't setting up the network.   Which made me realize the dracut-network module is probably missing.  (http://fedoraproject.org/wiki/Dracut/Options#NFS)


Can the LiveCD/DVD's be build with the Dracut network support so they can easily be added to PXE installs without having to be rebuilt.
Comment 1 Jesse Keating 2010-04-19 17:20:12 EDT
re-assigning to the creation tool.
Comment 2 Fedora Admin XMLRPC Client 2010-05-07 11:41:12 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Michael V. Reztsov 2010-05-15 04:32:15 EDT
http://www.akvt.ru/Members/plone/files--fnbli-f12-pxe/

Proposed patch for dracut (dracut-nfssquash.patch in a package dracut-004-4.fc12.akvt.src.rpm) adds functionality squashfs-on-nfsroot, and the package livecd-tools-nfssquash-0.1-0.src.rpm contains tool to create an initrd image, which will be loaded via PXE.

[Not required] Package nfssquash-setup-client contains a script that runs on the client in PXE-boot process. This package is designed for installation on the PXE-server.
Comment 4 Michael V. Reztsov 2010-06-07 03:09:15 EDT
I'm sorry, did not immediately hearken to the problem, but recently encountered this.

As workaround I use the following script (in the kickstart file, and dracut-network must be added to the %packages section):
---cut----------
%post
# assume one kernel version in the image
KVER=`ls /lib/modules/`
/sbin/dracut -f /boot/initramfs-$KVER.img $KVER
%end
---cut----------

And then manually copy the initramfs from the resulted .iso image, because this script is run after the kernel image was copied (python-imgcreate -> creator.py -> function 'configure').

AFAIK, this happens because dracut-network installed to the image after the kernel package. And I don't know how to change order. :-(
Comment 5 Jesse Keating 2010-06-07 17:22:41 EDT
The kernel, at least in rawhide, does the initrd generation in a %posttrans, that is after the entire transaction is complete.  That means that the order in which packages are installed should not matter, as the initrd does not get generated until after every package is installed.
Comment 6 Fedora Admin XMLRPC Client 2010-10-21 13:57:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Brian Lane 2010-11-11 19:55:48 EST
If this is the right solution I think it needs to be done in the kickstart, not livecd-tools.
Comment 8 Kevin Fenzi 2010-12-11 17:17:53 EST
ok, so a solution for this would be to add: 

dracut-network

to fedora-live-base.ks and fedora-live-mini.ks ?
Comment 9 G. Michael Carter 2010-12-13 10:47:05 EST
That would be part of it.  I've been playing around with custom respins, and the problems a little bigger than simple adding dracut-network.

dracut-network to the fedora-live-base.ks and fedora-live-mini.ks would allow for network based booting, but the Live disk currently can't be loaded via PXE.  It only will look for the live disk from the ISO which create a problem.
Comment 10 Kevin Fenzi 2010-12-13 11:14:17 EST
ok. So, I don't think we want to add dracut-network until we identify and fix any issues we need to in livecd-creator.
Comment 11 Bug Zapper 2011-06-02 11:11:00 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2011-06-27 11:41:22 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.